Component({
  properties: {
    // 这里定义了innerText属性，属性值可以在组件使用时指定
    object:{
      type: Object,
      value:null
    },

  },
  data: {
    // 这里是一些组件内部数据
    someData: {}
  },
  methods: {
     //--智能跳转--
     go_url:function (e) {
        var url=e.currentTarget.dataset.url;
        getApp().goto(url);
     },

		berror:function(e){
			 var iurl=getApp().globalData.setting.imghost;
			 var ob={};
			 var txt="object.title_img";
		  	ob[txt] = iurl +'/miniapp/images/logo.png?v=1';
			 this.setData(ob);
    },
    nv_void(e){
      var feedId=e.currentTarget.dataset.feedid;
      var finderUserName=e.currentTarget.dataset.finderusername;
      var video_type=e.currentTarget.dataset.video_type;
      getApp().openChannelsActivity({
        feedId,
        finderUserName,
        video_type
      })
    }
  }
})
